<?
// this file shows how you can call the CashEnvoy payment interface from your online store to set up a recurrent transaction

// your CashEnvoy merchant id
$cemertid = 1;

// your merchant key (login to your cashenvoy account, your merchant key is displayed on the dashboard page)
$key = '2dawdszfcasdq24434242ffsdsfd';

// transaction reference which must not contain any special characters. Numbers and alphabets only.
$cetxref = 'A11232132133242';

// transaction amount
$ceamt = 1000.44;

// customer id does not have to be an email address but must be unique to the customer
$cecustomerid = 'xyz@abc.com'; 

// notify url - absolute url of the page to which the user should be directed after payment
// an example of the code needed in this type of page can be found in example_requery_usage.php
$cenurl = 'http://www.youronlinestore.com/paymentcomplete.php'; 

// transaction frequency
$frequency = 'weekly';// weekly, fortnightly, monthly, yearly, none

// Use this to pass information that will help identify the service to be provided and expected amount when you receive subsequent payment notifications
// In this example i have used the product id and amount separated by a "|" but its up to you to find what works for you.
$cememo = 'PR23224|1000.25';

// ipn url - absolute url of the page to which future payment status is sent
// an example of the code needed in this type of page can be found in example_ipn_usage.php
$ipnurl = 'http://www.youronlinestore.com/ipn_page.php';

// Not required if frequency = none
// Yes or No to indicate that you want the payment cycle to be managed by CashEnvoy and vice versa. 
// Yes - This means that CashEnvoy will automatically take payments when due based on the specified frequency and then post the transaction status to your IPN URL
// No  - Indicates that you will manage the payment cycle yourself and make payment requests via the API when due
$cyclemgt = 'Yes';

// generate request signature
$data = $key.$cetxref.$ceamt;
$signature = hash_hmac('sha256', $data, $key, false);
?>
<!-- 
Note: Replace https://www.cashenvoy.com/sandbox2/?cmd=cepay with https://www.cashenvoy.com/webservice/?cmd=cepay once you have been switched to the live environment.
-->
<body onLoad="document.submit2cepay_form.submit()">
<form method="post" name="submit2cepay_form" action="https://www.cashenvoy.com/sandbox2/?cmd=cepay" target="_self">
    <input type="hidden" name="ce_merchantid" value="<?= $cemertid ?>"/>
    <input type="hidden" name="ce_transref" value="<?= $cetxref ?>"/>
    <input type="hidden" name="ce_amount" value="<?= $ceamt ?>"/>
    <input type="hidden" name="ce_customerid" value="<?= $cecustomerid ?>"/>
    <input type="hidden" name="ce_memo" value="<?= $cememo ?>"/>
    <input type="hidden" name="ce_notifyurl" value="<?= $cenurl ?>"/>
    <input type="hidden" name="ce_ipnurl" value="<?= $ipnurl ?>"/>
    <input type="hidden" name="ce_window" value="self"/>
    <input type="hidden" name="ce_recurrent" value="<?= $frequency ?>"/>
    <input type="hidden" name="ce_cyclemgt" value="<?= $cyclemgt ?>"/>
	<input type="hidden" name="ce_signature" value="<?=$signature ?>"/>
</form>
</body>

